curl --request GET \
--url https://test.deribit.com/api/v2/private/get_settlement_history_by_currency \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 8304,
"method": "private/get_settlement_history_by_currency",
"params": {
"currency": "BTC",
"type": "delivery",
"count": 1
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_settlement_history_by_currency"
payload = {
"jsonrpc": "2.0",
"id": 8304,
"method": "private/get_settlement_history_by_currency",
"params": {
"currency": "BTC",
"type": "delivery",
"count": 1
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 8304,
method: 'private/get_settlement_history_by_currency',
params: {currency: 'BTC', type: 'delivery', count: 1}
})
};
fetch('https://test.deribit.com/api/v2/private/get_settlement_history_by_currency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 2192,
"result": {
"settlements": [
{
"type": "settlement",
"timestamp": 1550475692526,
"session_profit_loss": 0.038358299,
"profit_loss": -0.001783937,
"position": -66,
"mark_price": 121.67,
"instrument_name": "ETH-22FEB19",
"index_price": 119.8
}
],
"continuation": "xY7T6cusbMBNpH9SNmKb94jXSBxUPojJEdCPL4YociHBUgAhWQvEP"
}
}private/get_settlement_history_by_currency
Retrieves settlement, delivery, and bankruptcy events that have affected your account for a specific currency. Settlements occur when futures or options contracts expire and are settled at the delivery price.
Results can be filtered by settlement type and timestamp. Use pagination parameters (count and continuation) to retrieve large settlement histories. This data is useful for tracking account-affecting settlement events and understanding how contract expirations impact your account.
Scope: trade:read
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Settlement type
The type of settlement. settlement, delivery or bankruptcy.
settlement, delivery, bankruptcy Number of requested items, default - 20, maximum - 1000
1 <= x <= 1000Continuation token for pagination
"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"
The latest timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)
1536569522277
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Continuation token for pagination.
"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"
Hide child attributes
Hide child attributes
funding (in base currency ; settlement for perpetual product only)
-0.000002511
underlying index price at time of event (in quote currency; settlement and delivery only)
11008.37
instrument name (settlement and delivery only)
"BTC-30MAR18"
position size (in quote currency; settlement and delivery only)
1000
total value of session profit and losses (in base currency)
0.001160788
The timestamp (milliseconds since the Unix epoch)
1536569522277
The type of settlement. settlement, delivery or bankruptcy.
settlement, delivery, bankruptcy funded amount (bankruptcy only)
0
mark price for at the settlement time (in quote currency; settlement and delivery only)
11000
profit and loss (in base currency; settlement and delivery only)
0
value of session bankruptcy (in base currency; bankruptcy only)
0.001160788
total amount of paid taxes/fees (in base currency; bankruptcy only)
-0.001160788
rate of paid taxes/fees (in base currency; bankruptcy only)
0.000103333
the amount of the socialized losses (in base currency; bankruptcy only)
-0.001160788
The id that was sent in the request
Was this page helpful?